void MidpointLine( int x0, int y0, int x1, int y1, int value )
{
	int dx = x1 - x0;
	int dy = y1 - y0;

	double d = dy - dx/2.0;
	int incrE = dy;
	int incrNE = dy - dx;

	int x = x0;
	int y = y0;

	WritePixel( x, y, value );

	while ( x < x1 ) {
		if ( d <= 0 )
			d += incrE;
		else {
			d += incrNE;
			y++;
		}
		x++;
		WritePixel( x, y, value );
	} 
}
